#!.venv/bin/python
"""
Simple script to parse cassandra-stress' transaction results
and reformat them as JSON for sending back to juju
"""
import sys
import json
from charmhelpers.core import hookenv
from charmbenchmark import Benchmark
import re


def parse_terasort_output():
    """
    Parse the output from terasort and set the action results:

    """

    results = {}

    # Find all of the interesting things
    regex = re.compile('\t+(.*)=(.*)')
    for line in sys.stdin.readlines():
        m = regex.match(line)
        if m:
            results[m.group(1)] = m.group(2)
    hookenv.action_set({"results.raw": json.dumps(results)})

    # Calculate what's important
    if 'CPU time spent (ms)' in results:
        composite = int(results['CPU time spent (ms)']) + int(results['GC time elapsed (ms)'])
        Benchmark.set_composite_score(
            composite,
            'ms',
            'asc'
        )
    else:
        print "Invalid test results"
        print results


if __name__ == "__main__":
    parse_terasort_output()
